#
# spec file for package ghc-base-prelude
#
# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%global pkg_name base-prelude
Name:           ghc-%{pkg_name}
Version:        1.3
Release:        lp152.3.6
Summary:        The most complete prelude formed solely from the "base" package
License:        MIT
URL:            https://hackage.haskell.org/package/%{pkg_name}
Source0:        https://hackage.haskell.org/package/%{pkg_name}-%{version}/%{pkg_name}-%{version}.tar.gz
BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-rpm-macros

%description
A library which aims to reexport all the non-conflicting and most general
definitions from the "base" package. This includes APIs for applicatives,
arrows, monoids, foldables, traversables, exceptions, generics, ST, MVars and
STM.

This package will never have any dependencies other than "base".

/Versioning policy/

The versioning policy of this package deviates from PVP in the sense that its
exports in part are transitively determined by the version of "base".
Therefore it's recommended for the users of "base-prelude" to specify the
bounds of "base" as well.

%package devel
Summary:        Haskell %{pkg_name} library development files
Requires:       %{name} = %{version}-%{release}
Requires:       ghc-compiler = %{ghc_version}
Requires(post): ghc-compiler = %{ghc_version}
Requires(postun): ghc-compiler = %{ghc_version}

%description devel
This package provides the Haskell %{pkg_name} library development files.

%prep
%setup -q -n %{pkg_name}-%{version}

%build
%ghc_lib_build

%install
%ghc_lib_install

%post devel
%ghc_pkg_recache

%postun devel
%ghc_pkg_recache

%files -f %{name}.files
%license LICENSE

%files devel -f %{name}-devel.files
%doc CHANGELOG.md

%changelog
* Fri Nov  8 2019 Peter Simons <psimons@suse.com>
- Drop obsolete group attributes.
* Sat Oct 20 2018 Peter Simons <psimons@suse.com>
- Use https URL to refer to bugs.opensuse.org.
* Wed Jul 18 2018 psimons@suse.com
- Cosmetic: replace tabs with blanks, strip trailing white space,
  and update copyright headers with spec-cleaner.
* Fri Jul 13 2018 psimons@suse.com
- Update base-prelude to version 1.3.
  [#] 1.3
  * Give preference to Semigroup definitions over Monoid
* Mon May 14 2018 psimons@suse.com
- Update base-prelude to version 1.2.1.
  Upstream does not provide a changelog.
* Thu Aug  3 2017 psimons@suse.com
- Updated with latest spec-cleaner version 0.9.8-8-geadfbbf.
* Thu Jul 27 2017 psimons@suse.com
- Update to version 1.2.0.1.
* Sun Jul 10 2016 psimons@suse.com
- Update to version 1.0.1.1 revision 0 with cabal2obs.
* Mon May 23 2016 mimi.vx@gmail.com
- update to 1.0.1.1
* Sun Feb 14 2016 mimi.vx@gmail.com
- update to 1
* Wed Jan  6 2016 mimi.vx@gmail.com
- update to 0.1.21
* Mon Dec 21 2015 mimi.vx@gmail.com
- update to 0.1.20
* Fri Oct 23 2015 mimi.vx@gmail.com
- initial commit
